rlprd(8)

NAME
rlprd - remote printing proxy daemon

SYNOPSIS
rlprd [-nqV] [-pport] [-ttimeout] [--debug]

DESCRIPTION
rlprd is a proxy which runs between the remote printing commands (rlpr(1), rlpq(1), and rlprm(1)) and standard lpd print servers in situations where the remote printing commands cannot be installed setuid root. For a discussion on how to configure the remote printing commands, please see rlpr(1).

rlprd needs to be installed setuid root - if it cannot be run this way, it is useless.

rlprd works by mapping non-privileged port requests from rlpr(1) clients to privileged ports so that lpd's will listen to them. Eliminating the "security" gained by having privileged ports is a non-issue, since the Internet is no longer just Unix, and Unix is the only OS that has the privileged port concept.

rlprd is not a replacement for lpd(8). It merely passes data to a lpd(8) on a target machine (which is specified by an invocation of a remote printing command). However, when a client is using the rlpr suite of tools to do remote printing, the client does not need to run an lpd(8) locally.

Note that once an rlprd is set up on a network (including the Internet), any host may connect to it and use its proxy services if it knows the name of the machine running it.

OPTIONS

--debug
    Print gobs of debugging information.

-n, --no-daemon
    Don't run rlprd as a daemon. Usually not needed.

-p, --port=number
    Select an alternate port (instead of 7290) to listen on. Usually not needed.

-q, --quiet, --silent
    Quiet mode - stay quiet (except for fatal errors).

-t --timeout=seconds
    Set the inactivity timer. If the connection hangs for more than seconds seconds, then rlprd will time out the connection. Use the special value `-1' to wait forever. Default timeout is 3 seconds.

-V, --version
    Print version and exit.

SEE ALSO
rlpr(1), rlpq(1), rlprm(1), rlprrc(5)

AUTHOR
meem <meem@gnu.org>

BUGS/LIMITATIONS
It is not currently possible to run rlprd from inetd(8).